package app18a.action;

import app18a.dao.CustomerDAO;
import app18a.dao.DAOFactory;
import app18a.form.CustomerForm;
import app18a.to.CustomerTO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

public class GetCustomerAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) {

    CustomerTO customer = null;
   	String customerId = request.getParameter("customerId");
   	
    CustomerDAO customerDAO = DAOFactory.getInstance().getCustomerDAO();
    try {
      customer = customerDAO.getCustomer(Integer.parseInt(customerId));
      CustomerForm customerForm = (CustomerForm) form;
      customerForm.setId(customer.getId());
      customerForm.setName(customer.getName());
      customerForm.setAddress(customer.getAddress());
      customerForm.setPhone(customer.getPhone());
      return (mapping.findForward("success"));
    }
    catch (Exception ex) {
      ActionMessages actionMessages = new ActionMessages();        
      actionMessages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("failed.get"));
      saveMessages(request, actionMessages);
      return (mapping.findForward("failed"));
    }   
  }
}
